# These parameters can be imported into other config files
# by enclosing the key with % (like %database_user%)
parameters:
    locale: "de"
    salt: "JddLn]@xP.NmGGW@&pkv?cBW,tZc5@/GaAENL?/_N@pY,%2z},CZEmnCE(E_RsGRR?+*N}*# UgRS,j[)gkELxS)2wk2@B_v]?r@q,7hS(Za?9]R{*"
    secret: "IAmOnlyTheDefaultSecretSoChangeMeInProjects"

    # logging strategy for monolog, can be either "rotating_file" or "stream"
    logging_strategy: "rotating_file"
    # maximum number of log files to keep (aka days to keep)
    logging_max_files: 60

    # Projekttyp, mögliche Werte: portal, gateway
    # #refactor: this variable should be removed
    project_type: "portal"
    project_name: "DEMOS-Plan"
    project_pagetitle: "DEMOS-Plan"
    project_folder: "" # Pfad innerhalb von <repositoryRoot>/projects zum Projekt

    # Maschinenlesbarer Prefix für das Projekt, z.B. Elasticsearchindex und RabbitMQ Queue
    project_prefix: "dplan"
    project_version: "0"

    # #refactor: used only once, perhaps there are better ways to achieve this
    # project_short_url_redirect_route, project_short_url_redirect_route_loggedin and procedure_entrypoint_route
    # Bei Änderungen der Route muss in PlatformController->shortUrlAction() ggf. der Paramter angepasst werden
    project_short_url_redirect_route: "DemosPlan_procedure_public_detail"
    # Wohin soll ein angemeldeter Nutzer nach dem Benutzen einer ShortUrl umgeleitet werden?
    project_short_url_redirect_route_loggedin: "DemosPlan_procedure_public_detail"

    # Set procedure entrypoint
    procedure_entrypoint_route: "DemosPlan_procedure_dashboard"
    # #refactor: Could be removed, always the same value is used
    # Sort public procedurelist by following elasticsearch key by default
    procedure_public_list_default_sort_key: "publicParticipationEndDate"
    # Purge procedures if deleted
    purge_deleted_procedures: false

    # Defines whether access to procedure is granted by owning organisation (false)
    # or whether it is possible to define specific users withing the organisation
    # who are granted access (true)
    procedure_user_restricted_access: false

    # Route and parameters for the public index page
    #
    # - Using the controller forward notation here will result in an internal forward
    # - Using a named route will do a redirect with Controller::redirectToRoute
    # - Using a fully qualified url will do a redirect with Controller:redirect,
    #   HTTP Status 301
    public_index_route: ""
    public_index_route_parameters: []

    gateway_url: ""
    gateway_register_url: ""
    gateway_register_citizen_url: ""
    gateway_authenticate_url: ""
    gateway_authenticate_method: "GetUserDataBob"
    # Ist gateway_redirect_url gesetzt führt die Plattform eine Umleitung auf das Zielsystem aus
    # Der Link muss mit abschließendem Slash angegeben werden.
    gateway_redirect_url: ""

    proxy_dsn: ""
    # Array of trusted proxies. See https://symfony.com/doc/3.4/deployment/proxies.html
    proxy_trusted: []

    # Das HTTP-Schema kann explizit angegeben werden, wenn es nicht dynamisch generiert werden soll
    # wie bspw. hinter einem LoadBalancer. Nur das Schema ist anzugeben z.B. 'http'
    url_scheme: "https"
    # path to add between host and url path like "/dialog"
    url_path_prefix: ""
    # only allow TLS connections
    https_only: true

    # htaccess login data may be given e.g. to be added to callback urls from PI
    htaccess_user: ""
    htaccess_pass: ""

    service_mode: false

    # #refactor: These are very specific for robobsh, perhaps they can be removed somehow. Would not be easy
    # Procedure lists for datasheet versions
    # These values should be a comma-separated list of procedure ids
    procedures_datasheet_version_1: ""
    procedures_datasheet_version_2: ""
    procedures_datasheet_version_3: ""
    procedures_datasheet_version_4: ""

    # Path to datasheet pdf and images
    datasheet_file_path: ""

    # if sb changes his newsletter subscription status, send email to this account
    newsletter_recipient: ""
    contact_recipient: ""

    # T3741: determines which elements are visible in the admin list depending on their title, if the title of an Element is
    # listed in the array it will not be shown.
    # To specify an array with items use for each item:
    # adminlist_elements_hidden_by_title:
    #     -'item_n'
    adminlist_elements_hidden_by_title:
        - 'Gesamtstellungnahme'
        - 'Fehlanzeige'

    # List of role codes that are allowed in current project
    roles_allowed:
        - !php/const demosplan\DemosPlanCoreBundle\Entity\User\Role::GUEST

    # List of role group codes that faq articles may be visible for. There must be
    # at least one role activated via 'roles_allowed' for each role group set here.
    role_groups_faq_visibility:
        - !php/const demosplan\DemosPlanCoreBundle\Entity\User\Role::GPSORG
        - !php/const demosplan\DemosPlanCoreBundle\Entity\User\Role::GLAUTH
        - !php/const demosplan\DemosPlanCoreBundle\Entity\User\Role::GGUEST

    # Alternatives Login
    # #refactor: This should be renamed e.g. in local login, form login or the like
    alternative_login: false
    alternative_login_testuser_defaultpass: ""
    alternative_login_use_testuser: false
    alternative_login_use_testuser_osi: false
    # minimum password length
    password_min_length: 8
    # are different character cases required?
    password_require_case_diff: true
    # does the password require numbers?
    password_require_numbers: true

    # define whether local container setup is used
    is_shared_folder: false

    # Is current project deployed in production environment? May be used to
    # block specific test or development features
    prod_deployment: false

    # #refactor: This could perhaps be defined as params for ModifyUserCommand
    organisationIds_user_to_modify: []

    # Art des Stellungnahmeabgabeprozesses
    project_submission_type: "standard"

    # #refactor: This parameter could possibly be skipped when using empty piwik_url as disabled
    # #refactor: Should be renamed to matomo_*
    piwik_enable: false
    # Url *ohne* Protokoll
    piwik_url: "localhost"
    piwik_site_id: "1"
    matomo_token: ""

    # MySQL Default Settings
    database_driver: "pdo_mysql"
    database_host: "localhost"
    database_name: "dplan"
    database_password: "changeMe"
    database_port: "3306"
    database_user: "user"

    #RabbitMQ setting with default values
    rabbitmq_dsn: "amqp://:@localhost:5672/%2f"
    rabbitmq_routing_disabled: false

    # dsn used for sending emails https://symfony.com/doc/current/mailer.html#transport-setup
    # may be something like <transport>://<user>:<password>@<host>:<port>
    mailer_dsn: "smtp://localhost:25"

    email_enabled: false
    email_is_live_system: false
    email_test_from: "testMailSender@localhost.de"
    email_test_to: "testMailReceiver@localhost.de"
    email_system: "systememail@localhost.de"
    email_bounce_check: false
    # #refactor: path and file could be used as one
    email_bouncefile_path: ""
    email_bouncefile_file: ""
    email_bounce_prefix: ""
    email_bounce_domain: ""
    email_subject_prefix: ""
    email_use_bounce_dataport_system: false
    # #refactor: email_use_system_mail_as_sender could be removed and '' !== email_from_domain_valid_regex be used instead
    # should the system email be used as sender to avoid spf problems
    # with receiving mail servers. If set to false sending user address is used
    email_use_system_mail_as_sender: true
    # Regex that need to match to send Mails directly from user email
    # instead of system email. email_use_system_mail_as_sender needs to be false
    email_from_domain_valid_regex: ''
    # Delete any sent emails after this timespan in days from email sent queue. Default 5 Years
    email_delete_after_days: 1780

    master_procedure_phase: configuration #the default phase for new procedures, see procedurephases.yml

    # caching. When apcu is not available use "filesystem"
    cache_doctrine: "filesystem"

    # Logging
    # #refactor: Loglevels could be squeezed to symfony_loglevel only
    symfony_loglevel: "INFO"
    frontend_loglevel: "INFO"
    mailservice_loglevel: "INFO"
    importer_loglevel: "INFO"
    gatewayservice_loglevel: "INFO"
    demosplan_main_logfile: "dplan.log"
    demosplan_frontend_logfile: "frontend.log"
    demosplan_call_logfile: "servicecall.log"
    demosplan_request_logfile: "request.log"
    demosplan_mail_logfile: "mail.log"
    demosplan_ids_logfile: "ids.log"
    lgv_local_debug: "INFO"
    lgv_logfile: "lgv.log"

    # Keep update logs instead of overwriting them
    keep_update_logfiles: false

    #path to sentry instance
    sentry_dsn: ""
    sentry_loglevel: "warning"
    # percentage of requests to trace performance. 0 = none, 1.0 = 100%
    sentry_traces_sample_rate: 0

    fileservice_filepath: "../../files"

    elasticsearch_urls:
        -   url: "http://localhost:9200"

    # #refactor: deprecated, project_prefix used, could be deleted
    advancedsearchservice_index_name_prefix: "dplan"

    #  Set shard settings to dev settings. When use in cluster with 3 nodes use 3 shards, 2 replicas
    elasticsearch_number_of_shards: "1"
    elasticsearch_number_of_replicas: "1"
    # Major version of elasticsearch
    elasticsearch_major_version: 6
    # Number of workers to use during populate in command dplan:elasticsearch:populate
    # Set at least to num cpu cores / 2 to gain a massive speedup
    elasticsearch_populate_workers: 1

    # Karten

    # Maximale Boundingbox für das Projekt. Standard ist deutschlandweit
    map_max_boundingbox: "[675901.98,5979940.57,1735104.21,7339227.72]"

    # Globaler Layer, z.B. für die Planzeichnungseinstellungen
    map_admin_baselayer: "https://sgx.geodatenzentrum.de/wms_basemapde"
    map_admin_baselayer_layers: "de_basemapde_web_raster_farbe"

    # Define available projections. Order will be respected in dropdown for new layers
    map_available_projections:
        - label: EPSG:3857
          value: +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +wktext  +no_defs
        - label: EPSG:25832
          value: +proj=utm +zone=32 +ellps=GRS80 +units=m +no_defs
        - label: EPSG:25833
          value: +proj=utm +zone=33 +ellps=GRS80 +units=m +no_defs

    # Default projection to use as a base for maps.
    map_default_projection:
        label: EPSG:3857
        value: +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +wktext  +no_defs

    # #refactor: Always true, can be removed
    map_enable_wmts_export: true

    # Enable crud-permissions (user, orga, department, etc) for support user to allow creating new users on dev-systems.
    # This is only to be used locally and on dev-systems.
    advanced_support: false

    # Verfügbare Zoomstufen für die Karten
    map_global_available_scales: "[250,500,1000,2000,4000,5000,15000,35000,70000,150000,250000,500000,1000000]"

    map_print_baselayer: "https://sgx.geodatenzentrum.de/wms_basemapde"
    map_print_baselayer_name: "de_basemapde_web_raster_farbe"
    map_print_baselayer_layers: "de_basemapde_web_raster_farbe"

    # Extent und Scales für die Öffentlichkeitsbeteiligung. Hier SH
    map_public_baselayer: "https://sgx.geodatenzentrum.de/wms_basemapde"
    map_public_baselayer_layers: "de_basemapde_web_raster_farbe"
    map_public_extent: "[903770.62,6879897.96,1285358.32,7368034.89]"
    map_public_available_scales: "[920000,500000,250000,150000,70000,35000,15000,5000,4000,2000,1000,500,250]"

    # After an AutoComplete search in the public_detail map, zoom to the resolution which is closest to this value.
    map_public_search_autozoom: "3.5277848333474453"

    map_xplan_defaultlayers: ""

    # URL für die Sachdatenabfrage kann global oder verwahrensweise in der Datenbank gespeichert und
    # im Interface bearbeitet werden oder aus den parametern kommen
    # #refactor: Always true, can be removed
    map_getfeatureinfo_url_use_db: true
    # Es kann eine zentrale URL für die Sachdatenabfrage definiert werden,
    # dann muss (und kann) diese Einstellung nicht in den Projekten vorgenommen werden
    map_getfeatureinfo_url_use_global: false
    #  Url der Sachdatenabfrage; diese dient auch als Default bei Verfahren, in denen informationUrl nicht definiert ist
    map_getfeatureinfo_url: ""
    # In Robob braucht es eine weitere Sachdatenabfrage für Potentialflächen in verschiedenen Beteiligungsdurchläufen
    # #refactor: Should be a project specific parameter
    map_getfeatureinfo_url2: ""
    map_getfeatureinfo_url2_layer: ""
    map_getfeatureinfo_url2_v2: ""
    map_getfeatureinfo_url2_v2_layer: ""
    map_getfeatureinfo_url2_v3: ""
    map_getfeatureinfo_url2_v3_layer: ""
    map_getfeatureinfo_url2_v4: ""
    map_getfeatureinfo_url2_v4_layer: ""

    # Should information from Destatis and OpengeoDB be used?
    # Information about Datasources could be found in
    # LocationUpdateService::repopulateDatabase()
    use_opengeodb: true

    # SAML-related settings. These are set in config files in project folder
    # this is just an example to document the keys
    saml_baseurl: 'http://localhost/'
    saml_idp_entityid: 'id'
    saml_idp_slo_url: 'http://localhost/'
    saml_idp_sso_url: 'http://localhost/'
    saml_idp_x509_string: 'secretString'
    saml_sp_acs_url: 'http://localhost/'
    saml_sp_entityid: 'id'
    saml_sp_sls_url: 'http://localhost/'
    saml_sp_x509_private_string: 'secretString'
    saml_sp_x509_string: 'secretString'
    saml_registration_url: 'http://localhost/'

    # knpu_oauth2_client settings
    oauth_keycloak_client_id: ''
    oauth_keycloak_client_secret: ''
    oauth_keycloak_auth_server_url: ''
    oauth_keycloak_realm: ''

    # Set users with permissions to alter Database
    database_install_user: ""
    database_install_password: ""

    # Name der Kategorie Fehlanzeige
    # #refactor: used only once, constant can be used
    elements_title_negative_report: "Fehlanzeige"
    # Name der Kategorie Stellungnahme
    elements_title_statement: "Gesamtstellungnahme"
    # Sollen zusätzliche Informationen von Geoservern geholt werden?
    use_fetch_additional_geodata: false

    # enable virus scan
    avscan_enable: true

    # should file table entries be checked regularly whether they are referenced in some other entities
    # and be fully deleted if no reference is found?
    delete_removed_files: true

    # disable honeypot check
    honeypot_disabled: false
    # minimum time needed to fill out form fields to slow down brute force
    honeypot_timeout: 2
    # Key, der für den Aufruf des Maintenancetasks z.B. per Cron mit übergeben werden muss
    maintenance_key: ""

    demosplan_csp_base_uri: ['self']
    demosplan_csp_font_src:
        - 'self'
        - 'fonts.google.com'
        - 'fonts.gstatic.com'
        - 'data:'
    demosplan_csp_form_action:
        - 'self'
    demosplan_csp_frame_src: []
    demosplan_csp_frame_ancestors:
        - 'none'
    demosplan_csp_script_src:
        - 'self'
        - 'unsafe-eval' # vue.js needs it if templates are not precompiled
    demosplan_csp_style_src:
        - 'unsafe-inline'
        - 'self'
        - 'fast.fonts.net'
        - 'fonts.googleapis.com'
        - 'cdnjs.cloudflare.com'

    # #refactor: Always the same, constant could be used
    cluster_prefix: "G"

    # which entrypoint should role Redakteur have?
    # #refactor: To check whether this could always be DemosPlan_faq_administration_faq, then this could be deleted
    entrypoint_route_rtedit: "DemosPlan_globalnews_administration_news"

    # Array of entries to be displayed in project switcher
    projects: []

    statement_reply_url: ""

    # Definiere die Defaultklassen
    demosplan_user_authenticator_service: ['demosplan\DemosPlanCoreBundle\Security\Authentication\Authenticator\LoginFormAuthenticator']
    demosplan_user_authenticator_service_entry_point: 'demosplan\DemosPlanCoreBundle\Security\Authentication\Authenticator\LoginFormAuthenticator'

    # Set which view mode (a.k.a. "Gliederung") to use when the assessment table is initially loaded by a user
    # Possible value are "view_mode_default", "view_mode_tag" and "view_mode_elements"
    assessment_table_default_view_mode: "view_mode_default"

    # Set which toggle state (a.k.a. "Ansicht") to use when the assessment table is initially loaded by a user
    # Possible values are "statement", "collapsed" and "fragments" (if fragments are available in a project)
    assessment_table_default_toggle_view: "statement"

     # example for a defined statement_similarity_api_connection
#    statement_similarity_api_connection:
#        url: "http://example.org/similarity"
#        user_name: "admin" # optional
#        password: "password" # optional
#        response_format: "json_api" # the correct format name for the used url must be defined

    pdf_renderer_path: '%kernel.project_dir%/vendor/dompdf/dompdf'
    pdf_renderer_name: DomPDF


    #### project specific settings


    ## Bobhh
    # #refactor: Could soon be deleted when procedures in bobhh are always created via cockpit
    lgv_plis_base_url: ''
    lgv_xplanbox_base_url: ''
    # #refactor: could be removed, intranet user may use internet now
    gateway_url_intern: ''
    xplan_layer_base_url: ''
    # Enables communication to XTA message broker
    # XBauleitplanung plugin will fetch messages from the XTA inbox (thus emptying it) and
    # try to create procedures from the messages
    enable_xta_communication: false


    ## Robobsh
    geo_wfs_statement_linien: ''
    geo_wfs_statement_polygone: ''
    geo_wfs_statement_punkte: ''
    geo_wfst_statement_linien: ''
    geo_wfst_statement_polygone: ''
    geo_wfst_statement_punkte: ''


    # bauleitplanung-online

    # Define which areas of the platform are subject to orga branding
    orga_branded_routes: []

    # Used to communicate the platform url for a specific customer
    # #refactor: is this used at all?
    project_domain: ''

    # Default subdomain to be used, in case in the url there is none or more than one. Represents the Customer/Mandant.
    subdomain: sh
    # This parameter may be used to map some external URL to an internal customer like
    # planungsportal.brandenburg.de: bb.bauleitplanung-online.de
    subdomain_map: []
    # Defines which subdomains (aka customers) are allowed in current project
    subdomains_allowed: ['sh']

    ai_service_salt: ""
    ai_service_post_url: ""

    # #refactor: used only once, could be constant
    drafts_info_schema_path: "%kernel.project_dir%/config/json-schema/drafts-info-schema.json"

    public_css_class_prefix: ""

    # #refactor: used only once, could be constants
    survey.statuses:
        - configuration
        - participation
        - evaluation
        - completed
    survey.status.default: 'configuration'

    # #refactor: used only once, could be constants
    survey.schema_path_create: "%kernel.project_dir%/config/Survey/survey-schema-create.json"
    survey.schema_path_update: "%kernel.project_dir%/config/Survey/survey-schema-update.json"
    surveyvote.schema_path_create: "%kernel.project_dir%/config/Survey/surveyvote-schema-create.json"

    # #refactor: used only once, could be constants
    file.formats.doc: [doc, docx]
    file.formats.pdf: [pdf]
    file.formats.xls: [xls, xlsx]

    # JSON Web Tokens configuration
    jwt_passphrase: "%env(JWT_SECRET_KEY)%"


    # Deployments on our servers are rsynced to this dir
    # This can be a relative or an absolute path, relative paths
    # will use DemosPlanPath::getRootDir() as base.
    deployment_sync_dir: '../htdocs'

    # Allows to define links, that will be presented in a special section on the main page.
    # Note that the data will be used in the frontend directly, i.e. no measures against potentially harmful
    # scripts is taken if such thing is used here.
    # It can be used as follows:
    # external_links:
    #     Name of some website: https://link-to-the-website.net
    #     Some other website: https://link-to-some-other-website.net
    external_links: []
